# parsl.jobs.job_status_poller.JobStatusPoller

class parsl.jobs.job_status_poller.JobStatusPoller(strategy: str | None = None, max_idletime: float = 0.0, dfk: DataFlowKernel | None = None)
  __init__(strategy: str | None = None, max_idletime: float = 0.0, dfk: DataFlowKernel | None = None) → None

    Initialize the Timer object. We start the timer thread here

    KWargs:

      - interval (int) : number of seconds between callback events

      - name (str) : a base name to use when naming the started thread

  Methods

  `__init__`([strategy, max_idletime, dfk]) | Initialize the Timer object.
  `add_executors`(executors) |
  `close`([timeout]) | Merge the threads and terminate.
  `make_callback`() | Makes the callback and resets the timer.
  `poll`() |

  add_executors(executors: Sequence[BlockProviderExecutor]) → None
  poll() → None